#=======================================================================================
#Jailson Leocadio

esaligna = read.table("esaligna.csv", sep=",", head=TRUE)

#Crie um grfico de disperso entre dap1) e ht2) com:

#Legendas dos eixos com nomes das variveis e suas unidades
#Marcaes do eixos (ticks) para dentro da rea do grfico
#Apenas dois eixos (formato L)
#Ttulo informativo
#Tamanho das fontes maiores que o padro

par(mar=c(1, 2), cex=4)
plot(esaligna$dap, esaligna$ht, xlab="Dimetro (cm)", ylab="Altura (m)",
	tcl=0.3, bty="l", main="Relao do dimetro da rvore pela sua altura")

#=======================================================================================

#Use as variveis dap e talhao para construir dois grficos, colocando-os lado a lado.
#O primeiro deve ser um grfico de desenho de caixa (boxplot) da varivel dap em funo
#do fator talho. O segundo deve ter apenas a mdia e uma barra de desvio-padro do dap,
#para cada talho.

#Insira tambm uma letra para dizer qual  o grfico a e qual  o b (tanto faz, quem 
#um e quem  outro).

par(mfrow=c(1, 2))
boxplot(esaligna$dap~esaligna$talhao, xlab="Talho", ylab="Dap")
mtext("a")

media = aggregate(esaligna$dap, by=list(as.factor(esaligna$talhao)), FUN=mean)
plot(media, xlab="Talho", ylab="Mdia do dap e desvio padro", ylim=c(5, 22))
mtext("b")

desvio = aggregate(esaligna$dap, by=list(as.factor(esaligna$talhao)), FUN=sd)

#Calcula e insere os limites dos segmentos do desvio padro
media$x1 = media[,2] + desvio[,2]
media$x2 = media[,2] - desvio[,2]

points(media$Group.1, media$x1, pch= "-")
points(media$Group.1, media$x2, pch= "-")

segments(x0=c(media$Group.1), 
         y0=c(media$x2),
         x1=c(media$Group.1), 
         y1=c(media$x1))

#=======================================================================================

ex = read.table("exercicio3.csv", sep=",", head=TRUE)
exc = ex
#Remove os NA's
ex =  ex[complete.cases(ex), ]
#Remove a linha 23 para ficar como no grfico dado pelo exerccio
ex = ex[-23,]

par(mfrow=c(1, 2), tcl=0.5, bty="l")
plot(ex$x1, ex$y1, pch=17, ylim=c(0, 3), ylab="Euclidean distances",
	xlab="Log(Patch size)(ha)")
text(2.19, 3, "a")

#O modelo linear para plotar a linha no ficou como no exemplo
#fit <- lm(y1~x1, data=ex)
#lines(ex$x1, fitted(fit))

#Ento fiz um segmento
segments(0.5, 2.25, 2.17, 1.0, lwd=1)

#Boxplot sem outline
boxplot(exc$x2 ~ exc$y2, ylim=c(0, 3), xaxt="n", outline=FALSE)
text(6.5, 3, "b")
axis(1, at=1:6, cex.axis=0.7, labels=c("Small","Medium\n Edge","Medium\n Interior","Large\n Edge","Large\n Interior","Control"))

#dev.off()

#=======================================================================================
