# Exercício 1

eutad = read.table("palmadulto.txt", header=TRUE)

dist = matrix(NA, nrow=102, ncol=102)

for (i in 1:101) {
	for (j in (i+1):102) {
		difx2 = (eutad$gx[i] - eutad$gx[j]) ^ 2
        dify2 = (eutad$gy[i] - eutad$gy[j]) ^ 2
        dist[i,j] = sqrt(difx2 + dify2)
        dist[j,i] = sqrt(difx2 + dify2)
    }
}

nn  = apply(dist, 1, min, na.rm=TRUE)
mnn = mean(nn)

vt = rep(NA, 1000)
vt[1] = mnn

for (k in 2:1000) {
	xsim = round(runif(nrow(eutad), 0, 320), 0)
	ysim = round(runif(nrow(eutad), 0, 320), 0)

	mxy = matrix(NA, ncol=nrow(eutad), nrow=nrow(eutad))

	for (l in 1:(nrow(eutad) - 1)) {
		for (m in (l+1):nrow(eutad)) {
			mxy[l,m] = sqrt( ((xsim[l] - xsim[m]) ^ 2) + ((ysim[l] - ysim[m]) ^ 2) )
			mxy[m,l] = sqrt( ((xsim[l] - xsim[m]) ^ 2) + ((ysim[l] - ysim[m]) ^ 2) )
		}
	}

	vt[k] = mean(apply(mxy, 1, min, na.rm=TRUE))
}

hist(vt, main="", xlab="Distâncias médias geradas as acaso", ylab="Frequência")
abline(v=vt[1], col="red", lty=2)

pvalue = (sum(abs(vt) >= abs(vt[1])))/length(vt)

#=======================================================================================

# Exercício 2

animais = read.table("animais.txt", sep=";", header=TRUE, dec=",")
animais = animais[complete.cases(animais),]

x = log(animais$body) - mean(log(animais$body))
y = log(animais$brain) - mean(log(animais$brain))

beta = sum(x * y) / sum(x ^ 2)

vt = rep(NA, 1000)
vt[1] = beta

for (i in 2:999) {
	sim_brain = sample(animais$brain)

	x = log(animais$body) - mean(log(animais$body))
	y = log(sim_brain) - mean(log(sim_brain))

	vt[i] = sum(x * y) / sum(x ^ 2)
}

hist(vt, main="", xlab="Inclinações médias geradas as acaso", ylab="Frequência")
abline(v=vt[1], col="red", lty=2)

pvalue = (sum(abs(vt) >= abs(vt[1]))) / length(vt)

#=======================================================================================
