#Uma amostra de 30 estudantes foi indagada sobre seu tipo de cerveja preferida,
#com o seguinte resultado

cervejas <-c("chope","lata","garrafa","chope","garrafa","garrafa","lata","lata",
             "nenhuma","lata","garrafa","garrafa","garrafa","lata","lata","lata",
             "garrafa","lata","chope","nenhuma","garrafa","garrafa","garrafa",
             "chope","garrafa","garrafa","chope","garrafa","lata","lata")

#Represente este resultado como um gráfico de barras e um dotplot

par(mfrow=c(1,2))
barplot(table(cervejas))
dotchart(as.matrix(table(cervejas))[,1])

#Qual tem maior razão dado/tinta?

#O gráfico dotplot tem maior razão tinta, pois com ele é possível obter, com menos
#"tinta" a mesma informaçã" dada pelo gráfico de barras

#Neste exercício, use o objeto caixeta, criado no tutorial Exploração de uma
#Variável Categórica

caixeta = read.table("caixeta.csv", sep=",", header=TRUE, as.is=FALSE)

#Construa um histograma do dap dos fustes dos caixetais

hist(caixeta$cap/pi)

#Construa histogramas da altura das árvores para os diferentes caixetais ('local')

library(lattice)

#Como existem mais vários fustes para cada árvore, pegaremos o de maior altura
caixetaMaxH <- aggregate(caixeta$h,
                        by=list(local=caixeta$local, parcela=caixeta$parcela,
                                especie=caixeta$especie, arvore=caixeta$arvore),
                        FUN=max)

histogram(~ x | local , data=caixetaMaxH)

#Há diferenças entre as estruturas (distribuição de tamanhos) dos caixetais?

#As diferença são pequenas. Em todos os locais as altura se concentram
#nos valores menores

#Neste exercício, use o conjunto de dados Inventário em Florestas
#Plantadas de Eucalyptus grandis

egrandis = read.table("egrandis.csv", sep=";", header=TRUE, as.is=FALSE)

#Utilize o gráfico boxplot para analisar o DAP de árvores de E. grandis
#em função das variáveis região (regiao) e rotação (rotacao)

par(mfrow=c(1,2))
boxplot(dap ~ regiao + rotacao, data = egrandis, las=3)

#Avalie a normalidade da altura do conjunto total de árvores com um
#gráfico quantil-quantil contra a distribuição normal

qqnorm(egrandis$h) #Os dados fogem de uma distribuição normal,
                   #principalmente nas caudas

qqline(egrandis$h, col="red")

#Aqui usaremos novamente o objeto caixeta, criado no tutorial
#Exploração de uma Variável Categórica

#Analise a relação dap-altura ('dap' e 'h') em função do
#caixetal (local) com a função plot, mas somente para as árvores
#de caixeta (Tabebuia cassinoides)

#Filtro por espécie
caixeta.tabebuia = caixeta
caixeta.tabebuia = caixeta.tabebuia[caixeta.tabebuia$especie
                                    == "Tabebuia cassinoides",]

#Cálculo do DAP
caixeta.tabebuia$dap = caixeta.tabebuia$cap/pi

#Seleção da maior altura do fustes de mesma árvore em mesmo local e parcela
caixetaMaxH.tabebuia = aggregate(caixeta.tabebuia$h,
                        by=list(local=caixeta.tabebuia$local,
                                parcela=caixeta.tabebuia$parcela,
                                arvore=caixeta.tabebuia$arvore),
                        FUN=max)

colnames(caixetaMaxH.tabebuia)[4] = "h"

#Soma dos dap dos fustes de mesma árvore em mesmo local e parcela
caixetaSumDap.tabebuia = aggregate(caixeta.tabebuia$dap,
                      by=list(arvore=caixeta.tabebuia$arvore,
                              parcela=caixeta.tabebuia$parcela,
                              local=caixeta.tabebuia$local),
                      FUN=sum)

colnames(caixetaSumDap.tabebuia)[4] = "dap"
caixetaSumDap.tabebuia$h = caixetaMaxH.tabebuia$h

par(mfrow=c(2,2))
plot(dap ~ h, data = caixetaSumDap.tabebuia[caixetaSumDap.tabebuia$local == "chauas",],
     main="Chauas")
plot(dap ~ h, data = caixetaSumDap.tabebuia[caixetaSumDap.tabebuia$local == "jureia",],
     main="Jureia")
plot(dap ~ h, data = caixetaSumDap.tabebuia[caixetaSumDap.tabebuia$local == "retiro",],
     main="Retiro")

#Para a mesma relação do item anterior, verifique linearidade com a
#função scatter.smooth

par(mfrow=c(2,2))
with(caixetaSumDap.tabebuia[caixetaSumDap.tabebuia$local=="chauas",],
     scatter.smooth(dap, h, main="Chauas"))
with(caixetaSumDap.tabebuia[caixetaSumDap.tabebuia$local=="jureia",],
     scatter.smooth(dap, h, main="Jureia"))
with(caixetaSumDap.tabebuia[caixetaSumDap.tabebuia$local=="retiro",],
     scatter.smooth(dap, h, main="Retiro"))

#Utilizando o pacote lattice, analise a relação dap-altura ('dap' e 'h')
#em função do caixetal (local), mas somente para as árvores
#de caixeta (Tabebuia cassinoides)

splom(caixetaSumDap.tabebuia[,c("dap","h")], group = caixetaSumDap.tabebuia$local)
